com.holonplatform.vaadin.components.builders

## Interface SliderInputBuilder<T extends Number>

- Type Parameters:
    `T` - Number type
  All Superinterfaces:
    ComponentConfigurator<SliderInputBuilder<T>>, InputBuilder<T,Input<T>,SliderInputBuilder<T>>, InputConfigurator<T,SliderInputBuilder<T>>

      public interface SliderInputBuilder<T extends Number>
      extends InputBuilder<T,Input<T>,SliderInputBuilder<T>>

  Builder to create Slider `Input`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SliderInputBuilder<T>` | `max(T max)` Set the maximum value.
    `SliderInputBuilder<T>` | `min(T min)` Set the minimum field value.
    `SliderInputBuilder<T>` | `orientation(com.vaadin.shared.ui.slider.SliderOrientation orientation)` Set the orientation of the slider.
    `SliderInputBuilder<T>` | `resolution(int resolution)` Set a new resolution for the slider.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### max

          SliderInputBuilder<T> max(T max)

      Set the maximum value. If the current value of the field is larger than this, the value is set to the new maximum.
      Parameters:
        `max` - The new maximum field value
      Returns:
        this

    - #### min

          SliderInputBuilder<T> min(T min)

      Set the minimum field value. If the current value of the field is smaller than this, the value is set to the new minimum.
      Parameters:
        `min` - The new minimum field value
      Returns:
        this

    - #### orientation

          SliderInputBuilder<T> orientation(com.vaadin.shared.ui.slider.SliderOrientation orientation)

      Set the orientation of the slider.
      Parameters:
        `orientation` - The new orientation, either `SliderOrientation.HORIZONTAL` or `SliderOrientation.VERTICAL`
      Returns:
        this

    - #### resolution

          SliderInputBuilder<T> resolution(int resolution)

      Set a new resolution for the slider. The resolution is the number of digits after the decimal point.

      For integer type fields, this method has no effect, since resolution is always `0`.

      Parameters:
        `resolution` - The resolution to set
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.